NXOpen .NET Reference  12.0.0
Properties | List of all members
NXOpen.SketchCornerBuilder Class Reference

Create a corner between two sketch curves. More...

Inheritance diagram for NXOpen.SketchCornerBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Properties

unsafe NXOpen.SelectCurveList Curves [get]
 Returns the curves to make a corner More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Detailed Description

Create a corner between two sketch curves.

The curves will be trimmed or extended to the intersection point of the input curves. The reference point for each curve should be near the intersection point to designate which part of the curve to keep. It should be as close as possible to the curve.

To create a new instance of this class, use NXOpen.SketchCollection.CreateCornerBuilder

Created in NX5.0.0

Property Documentation

unsafe NXOpen.SelectCurveList NXOpen.SketchCornerBuilder.Curves
get

Returns the curves to make a corner

Created in NX5.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.